Skip to main content
GET
/
public-api
/
executions
/
{execution_id}
/
field-update-audit
Get the field-update audit for an execution
curl --request GET \
  --url https://api.neoagent.io/public-api/executions/{execution_id}/field-update-audit \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "agent_id": 123,
      "agent_name": "<string>",
      "ai_justification": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "current_value": "<string>",
      "custom_field_name": "<string>",
      "entity_id": "<string>",
      "gpt_response": "<string>",
      "is_custom_field": true,
      "options_to_choose_from": [
        {
          "description": "<string>",
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "predicted_value": "<string>",
      "predicted_value_id": "<string>",
      "should_update_field": true,
      "system_prompt": "<string>",
      "user_prompt": "<string>"
    }
  ],
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

execution_id
string
required

Response

Success.

data
FieldUpdateAuditEntry · object[]
required
meta
object
required